org.apache.cassandra.repair

## Class AnticompactionTask.AnticompactionCallback

- java.lang.Object
- - org.apache.cassandra.repair.AnticompactionTask.AnticompactionCallback

All Implemented Interfaces:
  IAsyncCallback, IAsyncCallbackWithFailure

Enclosing class:
  AnticompactionTask

    public class AnticompactionTask.AnticompactionCallback
    extends java.lang.Object
    implements IAsyncCallbackWithFailure

Callback for antitcompaction request. Run on INTERNAL_RESPONSE stage.

### Field Summary

### Fields inherited from interface org.apache.cassandra.net.IAsyncCallback

`isAlive`

### Constructor Summary

Constructors
Constructor and Description
`AnticompactionCallback(AnticompactionTask task)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isLatencyForSnitch()`
`void` `onFailure(java.net.InetAddress from, RequestFailureReason failureReason)` Called when there is an exception on the remote node or timeout happens
`void` `response(MessageIn msg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.net.IAsyncCallback

`supportsBackPressure`

### Constructor Detail

#### AnticompactionCallback

    public AnticompactionCallback(AnticompactionTask task)

### Method Detail

#### response

    public void response(MessageIn msg)

Specified by:
  `response` in interface `IAsyncCallback`
Parameters:
  `msg` - response received.

#### isLatencyForSnitch

    public boolean isLatencyForSnitch()

Specified by:
  `isLatencyForSnitch` in interface `IAsyncCallback`
Returns:
  true if this callback is on the read path and its latency should be given as input to the dynamic snitch.

#### onFailure

    public void onFailure(java.net.InetAddress from,
                          RequestFailureReason failureReason)

Description copied from interface: `IAsyncCallbackWithFailure`
Called when there is an exception on the remote node or timeout happens

Specified by:
  `onFailure` in interface `IAsyncCallbackWithFailure`